import * as $dara from '@darabonba/typescript';
import { AddPublishBatchResponseBody } from "./AddPublishBatchResponseBody";
export declare class AddPublishBatchResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AddPublishBatchResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
